Buteo::ProfilePrivate Class Reference

Private implementation class for Profile class. More...

`#include <Profile_p.h>`

## Public Member Functions

| ProfilePrivate ()
| Constructor.
| ProfilePrivate (const ProfilePrivate &aSource)
| Copy Constructor.
| ~ProfilePrivate ()
| Destructor.

## Public Attributes

QString | iName
| Profile name.
QString | iType
| Profile type.
bool | iLoaded
| Is the profile fully loaded and constructed.
bool | iMerged
| Is the profile merged created by merging from sub-profile.
QMap< QString, QString > | iLocalKeys
| Local keys, that are not merged from sub-profiles.
QMap< QString, QString > | iMergedKeys
| Keys that are merged from sub-profile files.
QList< const ProfileField * > | iLocalFields
| Local fields, that are not merged from sub-profiles.
QList< const ProfileField * > | iMergedFields
| Fields that are merged from sub-profiles.
QList< Profile * > | iSubProfiles
| List of sub-profiles.

## Detailed Description

Private implementation class for Profile class.

The documentation for this class was generated from the following file:

- Profile_p.h